package beans;

import javax.enterprise.context.RequestScoped;
import javax.faces.application.FacesMessage;
import javax.inject.Named;
import javax.faces.component.UIComponent;
import javax.faces.component.html.HtmlInputText;
import javax.faces.context.FacesContext;
import javax.faces.validator.ValidatorException;
import org.apache.commons.lang.StringUtils;

/**
 *
 * @author Computer School
 */
@Named
@RequestScoped
public class AlphaValidator  {
  
    public void validateAlpha(FacesContext context, UIComponent component, Object value) throws ValidatorException {
        if (!StringUtils.isAlphaSpace((String) value)) {
            HtmlInputText htmlInputText = (HtmlInputText) component;
            FacesMessage facesMessage = new FacesMessage(htmlInputText.getLabel() + ": допустимы только буквенные символы.");
            throw new ValidatorException(facesMessage);
        }
    }

}
